> For the complete documentation index, see [llms.txt](https://db.coolstone.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://db.coolstone.dev/1/reference/api/modify.md).

# Modify

## Modify Record Content (JSON Only)

Change the Record's key's value to something.

```javascript
db.setValue('tag','key','value')
```

### Parameters

<table><thead><tr><th>Name</th><th>About</th><th>Type</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>tag</td><td>The Record's tag</td><td>String</td><td>true</td></tr><tr><td>key</td><td>The key to change</td><td>String</td><td>true</td></tr><tr><td>value</td><td>The value to set to</td><td>String</td><td>true</td></tr></tbody></table>

## Overwrite Record Content

Overwrite a Record found by it's tag.

```javascript
db.overwrite('tag',data)
```

### Parameters

<table><thead><tr><th>Name</th><th>About</th><th>Type</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>tag</td><td>The Record's tag</td><td>String</td><td>true</td></tr><tr><td>data</td><td>The data to overwrite with</td><td>Any (must match file extension)</td><td>true</td></tr></tbody></table>

## Modify Record's tag

Change a Record's tag found by its current tag.

```javascript
db.setTag('old','new')
```

### Parameters

<table><thead><tr><th>Name</th><th>About</th><th>Type</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>old_tag</td><td>The current tag of the Record.</td><td>String</td><td>true</td></tr><tr><td>new_tag</td><td>The new tag you want for the Record.</td><td>String</td><td>true</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://db.coolstone.dev/1/reference/api/modify.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
